import { Route, Switch } from "wouter";
import "./App.css";
import { QueryClient, QueryClientProvider } from "@tanstack/react-query";
import NavMenu from "./components/nav-menu";
import Home from "./pages/Home";
import MenuPage from "./pages/Menu";
import NotFound from "./pages/NotFound";
import Order from "./pages/Order";
import Stat from "./pages/Stat";

const queryClient = new QueryClient();

function App() {
  return (
    <QueryClientProvider client={queryClient}>
      <div className="min-h-dvh">
        <NavMenu />
        <main className="h-[calc(100dvh-4rem)]">
          <Switch>
            <Route path="/" component={Home} />
            <Route path="/order" component={Order} />
            <Route path="/menu" component={MenuPage} />
            <Route path="/stat" component={Stat} />
            <Route component={NotFound} />
          </Switch>
        </main>
      </div>
    </QueryClientProvider>
  );
}

export default App;
