import axios from "axios";
import { MenuItemColumns } from "src/db";
import { AddNewMenuItemType, UpdateMenuItemType } from "src/schema";

export async function getListMenuItems() {
  return (await axios.get<MenuItemColumns[]>("/api/menu")).data;
}

export async function addNewMenuItem(name: string, item: AddNewMenuItemType) {
  return await axios.post(`/api/menu/${encodeURIComponent(name)}`, item);
}

export async function updateMenuItem(name: string, item: UpdateMenuItemType) {
  return await axios.patch(`/api/menu/${encodeURIComponent(name)}`, item);
}

export async function deleteMenuItem(name: string) {
  return await axios.delete(`/api/menu/${encodeURIComponent(name)}`);
}
