import { useMenu } from "@/hooks/useMenu";
import { AddMenuItem } from "../components/menu/AddMenuItem";
import { MenuItem } from "../components/menu/MenuItem";
import ErrorMessage from "./ErrorPage";
import LoadingPage from "./Loading";

export default function MenuPage() {
  const { data: menuItems, status } = useMenu();
  if (status === "pending") {
    return <LoadingPage />;
  }
  if (!menuItems) {
    return <ErrorMessage>메뉴를 불러오지 못했습니다.</ErrorMessage>;
  }

  return (
    <div className="grid sm:grid-cols-2 grid-cols-1 md:grid-cols-3 lg:grid-cols-4">
      {menuItems.map((item) => <MenuItem key={item.name} item={item} />)}
      <AddMenuItem />
    </div>
  );
}
